Bug 1410059 - User preference to change skin does nothing
Summary: User preference to change skin does nothing
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Bugzilla
Classification: Community
Component: Bugzilla General
Version: 5.0
Hardware: Unspecified
OS: Unspecified
unspecified
low
Target Milestone: 5.0
Assignee: Jeff Fearn 🐞
QA Contact: tools-bugs
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-04 11:13 UTC by Jason McDonald
Modified: 2018-12-09 06:29 UTC (History)
2 users (show)

Fixed In Version: 5.0.3.rh23
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-02-06 01:24:25 UTC


Attachments (Terms of Use)

Description Jason McDonald 2017-01-04 11:13:39 UTC
Description of problem:
The user preference to change skin between Red Hat and Classic appears to do nothing.  If there is no intention to allow users to change skins, this option should be removed or hidden.

Version-Release number of selected component (if applicable):
5.0.3 (beta.bugzilla.redhat.com)

How reproducible:
Always

Steps to Reproduce:
1. Go to Preferences->General Preferences
2. Change "Red Hat Bugzilla's general appearance (skin)" to "Classic" and click Submit Changes
3. View a bug

Actual results:
Changing the skin does not cause any change to the appearance of Bugzilla.

Expected results:
Either:
- Changing the skin does change the appearance of the UI, or
- There is no option to change the skin.

Additional info:
none

Comment 1 Jason McDonald 2017-01-09 00:47:59 UTC
Additional info:
You can prevent the option appearing in the user preferences page by clearing the enabled flag for the "Red Hat Bugzilla's general appearance (skin)" setting at https://beta.bugzilla.redhat.com/bugzilla/editsettings.cgi.

Comment 2 Jeff Fearn 🐞 2017-01-09 00:59:15 UTC
Must be dirty data in the prefs/db after upgrade. There is only one theme so if you go to set the default prefs in the admin UI it only lists the Classic theme ... the RedHat theme is a lie!

Comment 3 Rony Gong 🔥 2017-02-04 01:08:39 UTC
Tested on QA environment(5.0.3-rh23)
Result: Pass
It only list the Classic theme now.


Note You need to log in before you can comment on or make changes to this bug.